Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17420

Description

On Windows next to the "X" (close) icon there is a "?" icon on many panels. I.e. the Settings &rarr; options one.

However, after 5 minutes of searching, I've found very very little that actually has any help for it.

I've only found Settings &rarr; Options &rarr; CRS &rarr; "Automatically enable on the fly reprojection" option.

Most things on "Create a Layer from a Delimited Text File" (bonus points to them :-) ).

And one or two other things scattered around. But for the vast majority of stuff there doesn't seem to be any context sensitive help.

History

#1 - 2013-11-27 05:03 AM - Richard Duivenvoorde

- File 01.png added

to help non windows users to understand the 'problem'.

see screenshot: as you can see there is both a help-button on some dialogs (which will popup the contexthelp (also visible here)).

But what is meant by this issue is the little ?-marked button..

Maybe a Qt quirk?

#2 - 2013-11-27 05:28 AM - Richard Duivenvoorde

maybe helpful?

http://stackoverflow.com/questions/81627/how-can-i-hide-delete-the-help-button-on-the-title-bar-of-a-qt-dialog#comment9022023_82303

says:

setWindowFlags(windowFlags() & ~Qt::WindowContextHelpButtonHint);

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
http://stackoverflow.com/questions/81627/how-can-i-hide-delete-the-help-button-on-the-title-bar-of-a-qt-dialog#comment9022023_82303


#4 - 2017-12-11 11:44 AM - Harrissou Santanna

- Status changed from Open to Feedback

- Description updated

Nyall has committed commit:15e7d57f which will fix the issue when we move to Qt5.10 (not sure there will be more work on it).

Can we close this issue?

#5 - 2018-03-01 12:28 PM - Giovanni Manghi

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#6 - 2018-05-16 05:50 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
